Core - Bug # 39960

Status: Resolved Priority: Must have
Author: Marcel Burkhalter Category:

Created: 2012-08-19 Assigned To: Steffen Ritter
Updated: 2013-06-05 Due date:

TYPO3 Version:

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: levelmedia retrieves deleted records

Description

Precondition: A page with one FAL media record (sys_file_reference UID 152) and the following TS:

page.5 = FILES

page.5 {
references.data = levelmedia:-1,slide
renderObj = TEXT
renderObj.data = file:current:publicUrl

}

at the UIDs and the database table sys_file_reference reveals that the IDs 143, 150 and 178 are marked as deleted.

Related issues:
related to Core - Bug # 39955: FILES TS Object is not able to deal with comma... Resolved 2012-08-19

Associated revisions

Revision 03050f9b - 2012-11-01 08:28 - Steffen Ritter

[BUGFIX] Rootline must not include references to deleted records

The rootline resolval includes deleted records. Deleted
records should never be used in frontend. Add the missing

deleteClause to the request.

Change-1d: 12039d3343479ca080c747b1c39961d03efb34e0f
Fixes: #39960

Releases: 6.0

Reviewed-on: http://review.typo3.org/14302

Reviewed-by: Mario Rimann
Tested-by: Marcel Burkhalter
Reviewed-by: Georg Ringer
Reviewed-by: Stefan Neufeind
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2012-09-03 10:06 - Steffen Ritter

- Status changed from New to Accepted
http://review.typo3.org/14302

#2 - 2012-09-03 11:01 - Steffen Ritter

- Target version set to 6.0 beta 2

#3 - 2012-09-03 11:36 - Steffen Ritter

- Subject changed from FILES TS Object with levelmedia retrieves deleted records to levelmedia retrieves deleted records

#4 - 2012-09-03 11:37 - Steffen Ritter

- Project changed from File Abstraction Layer to Core
- Assigned To set to Steffen Ritter

- Target version deleted (6.0 beta 2)

rootline should add delete clause

#5 - 2012-09-03 11:45 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14302

#6 - 2012-11-01 08:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:03050f9ba2d5d5b2b626¢8325b4ab729431d753.

#7 - 2013-06-05 09:22 - Witali Rott
- File RootlineUltility.php.patch added

NMIMPORTANT!!!

Please change deleteClause to enableFields for use it with TCA 'enablecolumns'

Files
RootlineUtility.php.patch 706 Bytes 2013-06-05 Witali Rott
